# Class CIM_ElementAsUser
extends CIM_Dependency

CIM_ElementAsUser is an association used to establish the 'ownership' of UsersAccess object instances. That is, the ManagedElement may have UsersAccess to systems and, therefore, be 'users' on those systems. UsersAccess instances must have an 'owning' ManagedElement. Typically, the ManagedElements will be limited to Collection, Person, Service and ServiceAccessPoint. Other non-human ManagedElements that might be thought of as having UsersAccess (e.g., a device or system) have services that have the UsersAccess. Since the UsersAccess class is deprecated in lieu of CIM_Identity, this association is also deprecated and replaced by one of similar semantics, AssignedIdentity. It should be noted that the new class is NOT defined as a Dependency relationship, since it was felt that the association was not truly a dependency of the element on its access.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_ElementAsUser

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | CIM_AssignedIdentity

Description

string

CIM_ElementAsUser is an association used to establish the 'ownership' of UsersAccess object instances. That is, the ManagedElement may have UsersAccess to systems and, therefore, be 'users' on those systems. UsersAccess instances must have an 'owning' ManagedElement. Typically, the ManagedElements will be limited to Collection, Person, Service and ServiceAccessPoint. Other non-human ManagedElements that might be thought of as having UsersAccess (e.g., a device or system) have services that have the UsersAccess. Since the UsersAccess class is deprecated in lieu of CIM_Identity, this association is also deprecated and replaced by one of similar semantics, AssignedIdentity. It should be noted that the new class is NOT defined as a Dependency relationship, since it was felt that the association was not truly a dependency of the element on its access.

UMLPackagePath | string | CIM::User::UsersAccess
Version | string | 2.8.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_ElementAsUser | CIM_ManagedElement
Dependent | CIM_ElementAsUser | CIM_UsersAccess

## Class Methods